# The base URL the site is hosted on
BASE_URL = "https://autoplex.dlii.tech"

# Keys ---------------------------------------------------------------------------------------------

# Application key to sign stuff
APP_KEY_FILE = /run/secrets/app_key

# Discord bot token
DISCORD_BOT_KEY_FILE = /run/secrets/discord_bot_key

# The Movie DB key
TMDB_KEY_FILE = /run/secrets/tmdb_key

# TVDB API key
TVDB_KEY_FILE = /run/secrets/tvdb_key
TVDB_PIN_FILE = /run/secrets/tvdb_pin
TVDB_REFRESH_PERIOD = 480 # (8 hours) How frequently to refresh the token (in minutes)

# Interfaces ---------------------------------------------------------------------------------------

# Seeker IPC socket path
SEEKER_IPC_SOCKET = /var/autoplex/ipc/seeker.sock

# Torrent client IPC socket path
TORRENT_CLIENT_IPC_SOCKET = /var/autoplex/ipc/torrent_client.sock

# Web server port
WEBSERVER_PORT = 3200

# Other Services -----------------------------------------------------------------------------------

# The URL to the Plex server
PLEX_URL = https://plex.dlii.tech

# The hash of the Plex server
PLEX_SERVER_ID =

# The X-Plex-Token for the Plex
PLEX_TOKEN_FILE = /run/secrets/plex_token

# Library Keys
PLEX_LIBRARY_MOVIES_KEY =
PLEX_LIBRARY_TV_KEY =
